Summary: e-smith server and gateway - configure PPPoE
%define name e-smith-rp-pppoe
Name: %{name}
%define version 1.11.0
%define release 06
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Packager: e-smith developers <bugs@e-smith.com>
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-rp-pppoe-1.11.0-02.mitel_patch
Patch1: e-smith-rp-pppoe-1.11.0-03.mitel_patch
Patch2: e-smith-rp-pppoe-1.11.0-04.mitel_patch
Patch3: e-smith-rp-pppoe-1.11.0-05.mitel_patch
Patch4: e-smith-rp-pppoe-1.11.0-06.mitel_patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: e-smith-base >= 4.13.2-18
Requires: e-smith-lib >= 1.1.0-13, rp-pppoe >= 2.2-4
BuildRequires: e-smith-devtools
BuildArchitectures: noarch

%description
e-smith server and gateway - configure Roaring Penguin PPPoE

%changelog
* Sun Nov  2 2003 Charlie Brady <charlieb@e-smith.com>
- [1.11.0-06]
- Fix problems with sync PPP (both in-kernel and user-space).
  [charlieb 10420]

* Sun Nov  2 2003 Charlie Brady <charlieb@e-smith.com>
- [1.11.0-05]
- Add modules.conf fragment to allow autoload of pppoe module.
  [charlieb 10420]

* Sun Nov  2 2003 Charlie Brady <charlieb@e-smith.com>
- [1.11.0-04]
- Add support for in-kernel pppoe. [charlieb 10420]

* Thu Aug 28 2003 Michael Soulier <msoulier@e-smith.com>
- [1.11.0-03]
- Added K* init symlinks for runlevels 0, 1 and 6. [msoulier 9761]

* Mon Aug 25 2003 Charlie Brady <charlieb@e-smith.com>
- [1.11.0-02]
- Use latest best practice and avoid -startup action [charlieb 9553]

* Tue Jul  8 2003 Charlie Brady <charlieb@e-smith.com>
- [1.11.0-01]
- Changing version to development stream number - 1.11.0

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.10.0-01]
- Changing version to stable stream number - 1.10.0

* Wed May 28 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-03]
- Don't process /etc/ppp/{chap,pap}-secrets. Now done in ppp-conf-users
  [gordonr 8849]

* Tue Feb 25 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-02]
- Updated e-smith-base dependency [gordonr 7343]
- Made use of $pppoe{PhysicalInterface} now set by e-smith-base [gordonr 7343]
- Don't unlink ifcfg-eth[01] - e-smith-base now just configures
  DEVICE and ONBOOT=no [gordonr 7343]

* Mon Feb 24 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.9.0-01]
- Dev stream to 1.9.0

* Thu Feb 20 2003 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-02]
- Quote username in pppoe run configuration file. [charlieb 7015]

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-01]
- Roll to maintained version number to 1.8.0

* Tue Aug 20 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.6-01]
- Don't set deprecated InitscriptsOrder property of service, it's implicit in
  rc7.d symlink [charlieb ]

* Fri Jul 26 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.5-01]
- Really remove /etc/ppp/pppoe.conf template fragments. [charlieb 4449]

* Thu Jul 25 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.4-01]
- Remove obsolete /etc/ppp/pppoe.conf template fragments, and include
  memory softlimit for pppd/pppoe - to allow for ip-up event processing.
  [charlieb 4449]

* Thu Jul 25 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.3-01]
- Change esmith::util::processTemplate to esmith::templates::processTemplate
  in conf-pppoe.  [charlieb 4449]

* Thu Jul 25 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.2-01]
- Remove pppoe and replace it with a symlink to daemontools. Provide
  an environment to supervice pppoe, with appropriate templates.
  This means we don't use /sbin/adsl-{start,stop,status} any more,
  and therefore don't need /etc/ppp/pppoe.conf.  [charlieb 4449]

* Tue Jul 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.1-01]
- Add /etc/rc.d/init.d/pppoe, as it no longer appears in RedHat's rp-pppoe
  package. The script comes from 5.5's version, and is a wrapper for
  /sbin/adsl-{start,stop,status} [charlieb 4449]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-01]
- Changing version to development stream number to 1.7.0

* Fri May 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Changing version to maintained stream number to 1.6.0

* Fri May 24 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.5.4-01]
- Process /etc/ppp/ip-down.local in conf-pppoe [gordonr 3130]

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.5.3-01]
- RPM rebuild forced by cvsroot2rpm

* Wed May 22 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.5.2-01]
- Removed %preun which stopped the ADSL link - this is rather nasty
  if you are upgrading the package over an ADSL link [gordonr 3626]

* Fri May 17 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.1-01]
- Test build to verify CVS conversion.

* Fri May 17 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-01]
- rollRPM: Rolled version number to 1.5.0-01. Includes patches up to 1.4.0-04.

* Thu Jan 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-04]
- Set connect timeout to 0, so that pppoe keeps trying to connect. Bug #2715.

* Fri Aug 17 2001 gordonr
- [1.4.0-03]
- Autorebuild by rebuildRPM

* Mon Aug 13 2001 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-02]
- Remove template-begin and template-end fragments of pppoe.conf.
- Add 30boot containing 'BOOT=yes'.

* Mon Aug 13 2001 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Rolled version number to 1.3.0-01. Includes patches upto 1.2.0-09.

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-09]
- Including GPL license with package

* Tue May 29 2001 Tony Clayton <tonyc@e-smith.com>
- [1.2.0-08]
- untie %conf before calling serviceControl in conf-pppoe-startup

* Wed Mar 21 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.2.0-07]
- Removed extraneous '*' from {chap,pap}-secrets lines

* Tue Mar 20 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-06]
- Add pap-secrets and chap-secrets fragments.

* Thu Feb 08 2001 Adrian Chung <adrianc@e-smith.com>
- [1.2.0-05]
- Rolling release number for GPG signing.

* Wed Jan 31 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-04]
- Move conf-pppoe-startup before conf-pppoe to ensure initialisation
- Fix filename error in conf-pppoe - ifcfg-eth? was not being deleted

* Wed Jan 31 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-03]
- Undo previous patch :-(
- Remove obsolete post-restore event.

* Fri Jan 26 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-02]
- Add ipparam so that ip-up script can do the correct selective things

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-14.

* Wed Jan 24 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-14]
- Fix two problems with EthernetAssign=swapped configuration
- Remove obsolete post-restore event.

* Tue Jan 16 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-13]
- Ensure conf* scripts are linked in for post-install and
  bootstrap-console-save

* Fri Jan 12 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-12]
- Ensure service is set in config db.

* Sat Dec 16 2000 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-11]
- Add some event action symlinks

* Fri Dec 15 2000 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-10]
- Fix a couple of uninitialised value problems.

* Thu Dec 14 2000 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-9]
- Added new fragment for PPPOE_EXTRA flag

* Tue Dec 12 2000 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-8]
- Fixed dependency to e-smith-lib-1.1.0-13

* Mon Dec 11 2000 Tony Clayton <tonyc@e-smith.com>
- [1.1.0-7]
- Conforming to new processTemplate
- created package dependency on e-smith-lib-4.1.0-13

* Thu Nov 30 2000 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-6]
- Changed call in preun to new initscript name

* Thu Nov 30 2000 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-5]
- rp-pppoe-2.2-4 changed the initscript name adsl->pppoe
- Turn ExternalPPPoE into service

* Wed Nov 29 2000 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-4]
- Renamed action scripts, used serviceControl and db utils
- Guarded actions based on ExternalPPPoE variable
- Allow adsl stop to exit 1 in preun section

* Wed Nov 29 2000 Gordon Rowell <gordonr@e-smith.com>
- [1.1.0-1]
- Rolled version, rebuilt tarball

* Mon Nov 13 2000 Charlie Brady <charlieb@e-smith.com>
- Make sure that ip-up.local script is in place.
- Use genfilelist to make RPM file list

* Sat Aug 12 2000 Charlie Brady <charlieb@e-smith.com>
- Add LCP options, delete debug option (seems broken)
- Use AccessType = dedicated - for now.

* Sat Aug 12 2000 Charlie Brady <charlieb@e-smith.com>
- Remove eth1 configuration - to avoid routing prob.

* Thu Jul 6 2000 Charlie Brady <charlieb@e-smith.com>
- initial

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
for i in bootstrap-console-save console-save \
	post-install post-upgrade
do
   mkdir -p root/etc/e-smith/events/$i
done
perl createlinks

mkdir -p root/etc/tcprules

mkdir -p root/service
ln -s /var/service/pppoe root/service/pppoe

mkdir -p root/var/service/pppoe/supervise
touch root/var/service/pppoe/down

mkdir -p root/var/service/pppoe/log/supervise

mkdir -p root/var/log/pppoe

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dvmp $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir /var/service/pppoe 'attr(1755,root,root)' \
    --file /var/service/pppoe/down 'attr(0644,root,root)' \
    --file /var/service/pppoe/run 'attr(0755,root,root)' \
    --dir /var/service/pppoe/supervise 'attr(0700,root,root)' \
    --dir /var/service/pppoe/log 'attr(1755,root,root)' \
    --file /var/service/pppoe/log/run 'attr(0755,root,root)' \
    --dir /var/service/pppoe/log/supervise 'attr(0700,root,root)' \
    --dir /var/log/pppoe 'attr(2750,qmaill,nofiles)' \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)

